Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.monte.media.ilbm
Class DRNGColorCycle.DColorCell

    java.lang.Object
      org.monte.media.ilbm.DRNGColorCycle.Cell
          org.monte.media.ilbm.DRNGColorCycle.DColorCell

All Implemented Interfaces:
  java.lang.Comparable<DRNGColorCycle.Cell>

Enclosing class:
  DRNGColorCycle

    public static class DRNGColorCycle.DColorCell

extends DRNGColorCycle.Cell

True color cell.

Field Summary

Fields inherited from class org.monte.media.ilbm.DRNGColorCycle.Cell
`cell, value`

Constructor Summary
`DRNGColorCycle.DColorCell(int cell, int rgb)`

Method Summary
`void` | `readValue(int[] rgbs, boolean isHalfbright)` Sets the initial value of the cell from its rgb instance variable.
`void` | `writeValue(int[] rgbs, boolean isHalfbright)` Does nothing.

Methods inherited from class org.monte.media.ilbm.DRNGColorCycle.Cell
`compareTo, equals, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DRNGColorCycle.DColorCell

    public DRNGColorCycle.DColorCell(int cell,
                                     int rgb)

Method Detail

### readValue

    public void readValue(int[] rgbs,
                          boolean isHalfbright)

  Sets the initial value of the cell from its rgb instance variable.

  Specified by:
    `readValue` in class `DRNGColorCycle.Cell`
  Parameters:
    `rgbs` - the palette.
    `isHalfbright` - whether the halfbright value shall be taken.

### writeValue

    public void writeValue(int[] rgbs,
                           boolean isHalfbright)

  Does nothing.

  Specified by:
    `writeValue` in class `DRNGColorCycle.Cell`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD